<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scicos
 * 
 * Copyright (C) INRIA - METALAU Project <scicos@inria.fr> (HTML version)
 * Copyright (C) DIGITEO - Scilab Consortium (XML Docbook version)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * See the file ./license.txt
 -->
<refentry version="5.0-subset Scilab" xml:id="Lookuptables_pal"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <refnamediv>
    <refname>Lookuptables_pal</refname>

    <refpurpose>Lookup tables palette</refpurpose>
  </refnamediv>

  <refsection>
    <title>Block Screenshot</title>

    <para><inlinemediaobject>
        <imageobject>
          <imagedata align="center"
                     fileref="../../../../images/palettes/LookupTables_pal.jpg"
                     valign="middle"></imagedata>
        </imageobject>
      </inlinemediaobject></para>
  </refsection>

  <refsection id="Module_Lookuptables_pal">
    <title>Module</title>

    <itemizedlist>
      <listitem>
        <para>
          <link linkend="xcos">xcos</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>

  <refsection id="Description_Lookuptables_pal">
    <title>Description</title>

    <para>The lookup tables palette includes blocks that compute output
    approximations from inputs.</para>
  </refsection>

  <refsection id="Blocks_Lookuptables_pal">
    <title>Blocks</title>

    <itemizedlist>
      <listitem>
        <para>
          <link linkend="INTRP2BLK_f">INTRP2BLK_f — 2D interpolation</link>
        </para>
      </listitem>

      <listitem>
        <para>
          <link linkend="INTRPLBLK_f">INTRPLBLK_f — Interpolation</link>
        </para>
      </listitem>

      <listitem>
        <para>
          <link linkend="LOOKUP_f">LOOKUP_f — Lookup table</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
</refentry>
